
Name: csmash
Version: 0.6.5
Release: alt1

Group: Games/Sports
Summary: CannonSmash is a 3D tabletennis game
Url: http://CannonSmash.sourceforge.net/
License: GPL

Source: http://download.SourceForge.net/CannonSmash/%name-%version.tar.bz2
Source1: %name.16.xpm.bz2
Source2: %name.32.xpm.bz2
Source3: %name.48.xpm.bz2
Source5: %name

Patch0: csmash-win32.patch
Patch1: csmash-0.6.5-compile.patch

BuildPreReq: Mesa-common-devel

# Automatically added by buildreq on Wed Dec 25 2002
#BuildRequires: XFree86-devel-static XFree86-libs aalib esound gcc-c++ glib-devel gtk+-devel libGLU-devel libSDL-devel libSDL_image-devel libSDL_mixer-devel libalsa2 libarts libaudiofile libjpeg-devel libogg libslang libsmpeg libstdc++-devel libtiff libvorbis zlib-devel

BuildRequires: XFree86-devel-static XFree86-libs aalib
BuildRequires: esound gcc-c++ glib-devel gtk+-devel libGLU-devel
BuildRequires: libSDL-devel libSDL_image-devel libSDL_mixer-devel
BuildRequires: libalsa2 libarts libaudiofile libjpeg-devel libogg
BuildRequires: libslang libsmpeg libstdc++-devel libtiff libvorbis zlib-devel

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to represent
various strategy of tabletennis on computer game.

%prep
%setup -q -n %name-%version
#%patch0 -p1
%patch1 -p1

%build
%define _optlevel 3
%add_optflags %optflags_kernel %optflags_notraceback %optflags_fastmath

%configure --bindir=%_gamesbindir \
	    --datadir=%_datadir/%name \
	    --disable-rpath \
	    --program-transform-name=""



%make_build

%install
%makeinstall bindir=$RPM_BUILD_ROOT%_gamesbindir datadir=$RPM_BUILD_ROOT%_datadir
mv %buildroot/%_gamesbindir/%name %buildroot/%_gamesbindir/%name.real
install -m 755 %SOURCE5 %buildroot/%_gamesbindir/%name

rm -rf $RPM_BUILD_ROOT/%_gamesdatadir/%name/win32

mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
?package(%name):command="%_gamesbindir/%name" icon="%name.xpm" \
  needs="x11" section="Amusement/Sports" title="Cannon Smash" \
  longtitle="%summary"
EOF

mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_liconsdir
bzcat %SOURCE1 > $RPM_BUILD_ROOT%_miconsdir/%name.xpm
bzcat %SOURCE2 > $RPM_BUILD_ROOT%_iconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT%_liconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS COPYING README README.en
%_gamesbindir/*
%_gamesdatadir/%name/*
%_menudir/%name
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Wed Dec 25 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.5-alt1
- new version

* Mon Oct 28 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.4.2-alt2
- rebuild with gcc3.2

* Mon Apr 01 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.4.2-alt1
- new version

* Tue Oct 30 2001 Sergey V Turchin <zerg@altlinux.ru> 0.6.3-alt1
- new version

* Fri Aug 17 2001 Stanislav Ievlev <inger@altlinux.ru> 0.6.1-alt2
- Rebuilt with new libSDL.

* Wed Jun 20 2001 Sergie Pugachev <fd_rag@altlinux.ru> 0.6.1-alt1
- new version

* Fri Jan 19 2001 Kostya Timoshenko <kt@petr.kz>
- Build for RE
- add csmash-win32.patch

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4.6-3mdk
- BuildRequires: Mesa-common-devel

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.6-2mdk
- recompile against newest libstdc++

* Thu Sep 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-1mdk
- first mdk version. thanks to chmou. this game rocks!

